package Controladores.Factorias;

import java.util.Scanner;
import Model.Enumerate.*;
import Model.Jugadores.*;
import Model.Movimientos.*;
import Model.Reglas.*;

public interface FactoriaJuegos {
	
	public ReglasJuego creaReglas();
	public Movimiento creaMovimiento(int fila, int columna, Ficha color);
	public Jugador creaJugadorAleatorio();
	public Jugador creaJugadorHumano(Scanner sc);

}
