package Model.Reglas;

import Model.Enumerate.*;
import Model.Tablero;

public abstract class ReglasJuego {
	
	//Atributos
	protected int filas;
	protected int columnas;
	
	//Accesores
	public int getFilas(){
		
		return this.filas;
		
	}
	
	public int getColumnas(){
		
		return this.columnas;
		
	}
	
	public  void setFilas(int filas){
		this.filas = filas;
		
	}
	
	public  void setColumnas(int columnas){
		this.columnas = columnas;
		
	}
	
	//Metodos
	public abstract Tablero iniciaTablero();
	
	public Ficha jugadorInicial(){
		
		return Ficha.BLANCA;
		
	}
	
	public Ficha siguienteTurno(Ficha ultimo){
		
		Ficha proximoTurno;
		if(ultimo == Ficha.BLANCA){
			proximoTurno = Ficha.NEGRA;
		}
		else{
			proximoTurno = Ficha.BLANCA;
		}
		return proximoTurno;
		
	}
	
	public abstract Ficha hayGanador(int fila, int columna, Ficha ultimo, Tablero tablero);
	public abstract boolean tablas(Tablero tablero);

}
